<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 

Class LogaholicLivePlugin{
	var $user;
	var $jsapi = "http://live.logaholic.com/apijs-1.0/";
	// var $jsapi = "http://localhost/logaholic/software/apijs/";

	function __CONSTRUCT(){
		$u = get_option('lwa_live_login_key');
		if(empty($u)){
			$this->user = array(
	    		"email" => ""
	    		,"password" => ""
	    		,"tracker" => 1
	    		,"id" => 0
			);
		} else {
			$this->user = $u;
		}		
	}

	static function Menu(){
		$page_title = __('Logaholic Stats Settings','wp-logaholic-live');
    	$menu_title = __('Logaholic Stats Settings','wp-logaholic-live');
    	# Add a new submenu under Settings:
    	add_options_page($page_title, $menu_title , 'manage_options', 'wplogaholicsettings', 'WpLogaholicLiveSettings');

    	# Add a new top-level menu (ill-advised):
    	$page_title = __('Logaholic Stats','wp-logaholic-live');
    	$menu_title = __('Logaholic Stats','wp-logaholic-live');

    	# add_menu_page( $page_title, $menu_title, $capability, $menu_slug, $function, $icon_url, $position )
    	add_menu_page($page_title, $menu_title , 'manage_options', 'logaholicstats', 'WpLogaholicLive','http://www.logaholic.com/favicon.png' );
	}


	function GetTracker(){
		# Check if the user wants to use the tracker or not...
		if(empty($this->user['tracker'])){
			return false;
		}

		if(empty($this->user["id"])){
			return false;
		}

		$lwa_id = "p" . $this->user["id"];
		return $lwa_id;
	}

	function ShowTracker($lwa_id){
		?><script type="text/javascript">
		<!-- /* Logaholic Web Analytics Code */ --><script type="text/javascript"> 
		var lwa_id = "<?php echo $lwa_id; ?>";
		if (document.location.protocol=="https:") { var ptcl = "https:" } else { var ptcl = "http:" }
		var lwa_server = ptcl + "//live.logaholic.com/s1/";
		document.write(unescape("%3Cscript type='text/javascript' src='" + lwa_server + "lwa.js'%3E%3C/script%3E"));
		</script>
		<script type="text/javascript">
		var lwa = trackPage();
		</script>
		<noscript>
			<a href="http://live.logaholic.com/s1/logaholictracker.php?conf=<?php echo $lwa_id; ?>">
			<img src="http://live.logaholic.com/s1/logaholictracker.php?conf=<?php echo $lwa_id; ?>" alt="web stats" border="0" /></a>
			<a href="http://www.logaholic.com/">Web Analytics</a> by Logaholic
		</noscript><?php
	}

	function JavascriptCode(){
		echo "<script type='text/javascript' src='".plugin_dir_path( __FILE__ ) ."js/jquery.min.js'></script>";
		include_once( plugin_dir_path( __FILE__ ) ."js/jshandler.js.php");
	}

	function CheckExist($user,$pw){
		# Check if the user already exists
		echo "<script type='text/javascript' src='{$this->jsapi}?api_password=livesignup&action=userinfo&username=$user&password=$pw'></script>";
	}

	function CheckPostData(){
    	if(!empty($_POST)){	 
			# Initialize Javascript return handling
			$this->JavascriptCode();
			$ex = $this->CheckExist($this->user["email"],$this->user["password"] );
		}
	    return true;
	}

	function GetMyDomain(){
		$pw = md5($pw);
		$url = strtolower($_SERVER['HTTP_HOST']);
		
		if (strpos($url, "://") != FALSE) {
			$url = explode("://", $url);
			$url = $url[1];
		}

		$url = explode("/", $url);
		$pname = $url[0];
		
		if($pname == 'localhost' || is_numeric(str_replace('.', '', $pname))) {
			echo "<script type='text/javascript'>";
			echo "	alert('You can not use Logaholic Live on a local machine.');";
			echo "	window.location = '{$_SERVER['REQUEST_URI']}';";
			echo "</script>";
			return;
		}
		
		return $pname;
	}

	function LogaholicLoginCheck($email = '', $pw = '') {
		if(!empty($email)){	 
			# Initialize Javascript return handling
			$this->JavascriptCode();
			$ex = $this->CheckExist($email, md5($pw));
		}
		return;
	}


}
?>